Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind
Interface ValidationEventLocator

public interface ValidationEventLocator

Encapsulate the location of a ValidationEvent.

The `ValidationEventLocator` indicates where the `ValidationEvent` occurred. Different fields will be set depending on the type of validation that was being performed when the error or warning was detected. For example, on-demand validation would produce locators that contained references to objects in the Java content tree while unmarshal-time validation would produce locators containing information appropriate to the source of the XML data (file, url, Node, etc).

Since:
  JAXB1.0
See Also:
  `Validator`, `ValidationEvent`

Method Summary
`int` | `getColumnNumber()` Return the column number if available
`int` | `getLineNumber()` Return the line number if available
`Node` | `getNode()` Return a reference to the DOM Node if available
`java.lang.Object` | `getObject()` Return a reference to the object in the Java content tree if available
`int` | `getOffset()` Return the byte offset if available
`java.net.URL` | `getURL()` Return the name of the XML source as a URL if available

Method Detail

### getURL

    public java.net.URL getURL()

  Return the name of the XML source as a URL if available
  Returns:
    the name of the XML source as a URL or null if unavailable

### getOffset

    public int getOffset()

  Return the byte offset if available
  Returns:
    the byte offset into the input source or -1 if unavailable

### getLineNumber

    public int getLineNumber()

  Return the line number if available
  Returns:
    the line number or -1 if unavailable

### getColumnNumber

    public int getColumnNumber()

  Return the column number if available
  Returns:
    the column number or -1 if unavailable

### getObject

    public java.lang.Object getObject()

  Return a reference to the object in the Java content tree if available
  Returns:
    a reference to the object in the Java content tree or null if unavailable

### getNode

    public Node getNode()

  Return a reference to the DOM Node if available
  Returns:
    a reference to the DOM Node or null if unavailable

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Sun Microsystems, Inc. All rights reserved.